Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.repository.impl
Class RelativeFolderRepository

    java.lang.Object
      edu.stanford.smi.protegex.owl.repository.impl.AbstractStreamBasedRepositoryImpl
          edu.stanford.smi.protegex.owl.repository.impl.AbstractLocalRepository
              edu.stanford.smi.protegex.owl.repository.impl.LocalFolderRepository
                  edu.stanford.smi.protegex.owl.repository.impl.RelativeFolderRepository

All Implemented Interfaces:
  Repository

    public class RelativeFolderRepository

extends LocalFolderRepository

User: matthewhorridge
The University Of Manchester
Medical Informatics Group
Date: Sep 26, 2005

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Field Summary

Fields inherited from class edu.stanford.smi.protegex.owl.repository.impl.LocalFolderRepository
`RECURSIVE_FLAG`

Constructor Summary
`RelativeFolderRepository(URL baseURL, String relativeURL)`
`RelativeFolderRepository(URL baseURL, String relativeURL, boolean forceReadOnly)`

Method Summary
`String` | `getRepositoryDescription()` Gets a description of the type of the repository.
`String` | `getRepositoryDescriptor()` Gets the descriptor for this repository.

Methods inherited from class edu.stanford.smi.protegex.owl.repository.impl.LocalFolderRepository
`refresh`

Methods inherited from class edu.stanford.smi.protegex.owl.repository.impl.AbstractLocalRepository
`contains, getFile, getInputStream, getOntologies, getOntologyLocationDescription, getOutputStream, isForceReadOnly, isSystem, isWritable, processFile, putOntology, setForceReadOnly`

Methods inherited from class edu.stanford.smi.protegex.owl.repository.impl.AbstractStreamBasedRepositoryImpl
`hasOutputStream, loadImportedAssertions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelativeFolderRepository

    public RelativeFolderRepository(URL baseURL,
                                    String relativeURL)
                             throws MalformedURLException,
                                    URISyntaxException

Throws:
  `MalformedURLException`
  `URISyntaxException`

### RelativeFolderRepository

    public RelativeFolderRepository(URL baseURL,
                                    String relativeURL,
                                    boolean forceReadOnly)
                             throws MalformedURLException,
                                    URISyntaxException

Throws:
  `MalformedURLException`
  `URISyntaxException`

Method Detail

### getRepositoryDescriptor

    public String getRepositoryDescriptor()

  Description copied from interface: `Repository`
  Gets the descriptor for this repository. This is used to serialise the repository in a list of the available repositories.

  Specified by:
    `getRepositoryDescriptor` in interface `Repository`
  Overrides:
    `getRepositoryDescriptor` in class `LocalFolderRepository`

### getRepositoryDescription

    public String getRepositoryDescription()

  Description copied from interface: `Repository`
  Gets a description of the type of the repository. For example, "Local folder".

  Specified by:
    `getRepositoryDescription` in interface `Repository`
  Overrides:
    `getRepositoryDescription` in class `LocalFolderRepository`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.